class AddPermissions < ActiveRecord::Migration[6.0]
  PERMISSIONS = [
    { 'name' => 'view_scc_products', 'resource_type' => 'SccProduct' },
    { 'name' => 'subscribe_scc_products', 'resource_type' => 'SccProduct' },
    { 'name' => 'test_connection_scc_accounts', 'resource_type' => 'SccAccount' }
  ].freeze

  def up
    PERMISSIONS.each do |p|
      Permission.find_or_create_by(:name => p['name'], :resource_type => p['resource_type'])
    end
  end

  def down
    PERMISSIONS.each do |p|
      Permission.where(:name => p['name']).destroy_all
    end
  end
end
